Index: ipk/source/system_tun_0_1/CONTROL/preinst
===================================================================
--- ipk/source/system_tun_0_1/CONTROL/preinst	(revision 521)
+++ ipk/source/system_tun_0_1/CONTROL/preinst	(revision 3682)
@@ -4,4 +4,18 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ -e /lib/modules/tun.ko ]; then
 	echo --------------------------
